From 3236eb91d9dec6177c26c91467f1e5655b70e610 Mon Sep 17 00:00:00 2001
From: Robert Haas <rhaas@postgresql.org>
Date: Wed, 15 Jan 2020 12:51:59 -0500
Subject: [PATCH 1/6] Move wchar.c to src/common.

Previously, it was compiled as part of src/backend/utils/mb and
separately as part of src/interfaces/libpq, and separately linked
into both the backend and libpq. However, as noted by commit
60f11b87a2349985230c08616fa8a34ffde934c8, this is not an optimal
arrangement, and it makes more sense to make wchar.c part of
src/common.
---
 src/backend/utils/mb/Makefile            | 1 -
 src/common/Makefile                      | 3 ++-
 src/{backend/utils/mb => common}/wchar.c | 0
 src/interfaces/libpq/Makefile            | 3 +--
 4 files changed, 3 insertions(+), 4 deletions(-)
 rename src/{backend/utils/mb => common}/wchar.c (100%)

diff --git a/src/backend/utils/mb/Makefile b/src/backend/utils/mb/Makefile
index cd4a016449..766a033f39 100644
--- a/src/backend/utils/mb/Makefile
+++ b/src/backend/utils/mb/Makefile
@@ -17,7 +17,6 @@ OBJS = \
 	encnames.o \
 	mbutils.o \
 	stringinfo_mb.o \
-	wchar.o \
 	wstrcmp.o \
 	wstrncmp.o
 
diff --git a/src/common/Makefile b/src/common/Makefile
index ffb0f6edff..cb00bcbbba 100644
--- a/src/common/Makefile
+++ b/src/common/Makefile
@@ -70,7 +70,8 @@ OBJS_COMMON = \
 	stringinfo.o \
 	unicode_norm.o \
 	username.o \
-	wait_error.o
+	wait_error.o \
+	wchar.o
 
 ifeq ($(with_openssl),yes)
 OBJS_COMMON += sha2_openssl.o
diff --git a/src/backend/utils/mb/wchar.c b/src/common/wchar.c
similarity index 100%
rename from src/backend/utils/mb/wchar.c
rename to src/common/wchar.c
diff --git a/src/interfaces/libpq/Makefile b/src/interfaces/libpq/Makefile
index 773ef2723d..009fe4d2bf 100644
--- a/src/interfaces/libpq/Makefile
+++ b/src/interfaces/libpq/Makefile
@@ -44,8 +44,7 @@ OBJS = \
 
 # src/backend/utils/mb
 OBJS += \
-	encnames.o \
-	wchar.o
+	encnames.o
 
 ifeq ($(with_openssl),yes)
 OBJS += \
-- 
2.17.2 (Apple Git-113)

